Statements
/statements/totals
Get statement totals for a month. Aggregated owner statement totals without pagination effects
Authorization
apiKey X-API-Key<token>
API key provided in dashboard
In: header
Query Parameters
month*string
Month string in format YYYY-MM.
Match
^\d{4}-\d{2}$Format
vrp-monthlistingIds?string
comma separated listings
ownerIds?string
comma separated owners
status?string|string
currency?string
Currency in ISO 4217 format, will be converted to lowercase
search?string
includePreviousUnattached?boolean
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.vrplatform.app/statements/totals?month=2024-01"{
"aggregates": [
{
"balanceStart": -9007199254740991,
"netRevenue": -9007199254740991,
"expenses": -9007199254740991,
"reserve": -9007199254740991,
"netIncome": -9007199254740991,
"payouts": -9007199254740991,
"balanceEnd": -9007199254740991,
"currency": "string"
}
],
"total": 0,
"defaultCurrency": "string"
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}